	<!-- Filter Part -->
	<div class="">
		<button id="filterbutton" class="btn btn-primary pull-right btn-filter " onclick="return filter();">Filter</button>
	</div>

	<div id="filter" style="display : none">
		<div id="extGrid" class="panel panel-info">
			<div class="panel-heading">Filters</div>
			<div class="panel-body bg-info">
				<div class="col-sm-3">
					<label>From Date</label><br>
					<span id="slcCode">
						<input type="date" ct="3" id="from_date" name="from_date" class="form-control">
					</span>
				</div>
				
				<div class="col-sm-3">
					<label for="inpPop">To Date:</label><br>
					<span id="inpPop"><input id="to_date" type="date" name="to_date" ct="3" class="form-control"></span><br><br>

				</div>

				<div class="col-sm-3">
					<label>Customer:</label><br>
					<span id="slcCode">
						<select id="customer" ct="1" filled="1" class="form-control">
							<option value="">--Select Customer--</option>
							{{#each items as |item|}}
								<option value="{{item.id}}">{{item.customer_name}}</option>
							{{/each}}
						</select>
					</span>
				</div> 
				
			</div>
			<div class="panel-footer">
				<input id="btnFlt" value="Generate Report" type="button" class="btn btn-default" id="submit" onclick="generate();" > 
				<input id="btnClr" value="Clear" type="button" class="btn btn-link" onclick="tf.clearFilters();
						//clears radio btns
						for(var o=frmRadioInps.elements, p=o.length - 1; p > -1; p--){
							if (o[p].type){
								o[p].checked = false;
							}
						}
					">
				<div id="statusDiv" class="pull-right"><span></span><span></span></div>
			</div>
		</div>
	</div>
	<!-- Filter Part Ends Here -->
	
	<div class="pal_brand">
		<h2 >Customer Report</h2>
			<div class="pal_br_add">
				<div class="">
					<a href="/reports/customer_download/0/0/0" id="csv_download" class="btn btn-success btn-lg">Download CSV</a>
				</div>
			</div>
			<br>
			
			<div class="">
				<div class="col-sm-12">
					
						<table class="table table-striped table-bordered" style="width:100%" id="example">
							<thead>
								<tr>
									<th>S.No</th>
									<th>Registered Date</th>
									<th>Name</th>
									<th>Mobile</th>
								</tr>
							</thead>
							
							<tbody>
								
							</tbody>
						</table>
				</div>
			</div>
	</div>

<script type="text/javascript">
	$(function () {
		$('#datetimepicker2').datetimepicker({
			minDate : new moment().subtract(1,'d'),
			// format: 'YYYY-MM-DD h:mm:ss',
			format: 'YYYY-MM-DD',
			useCurrent: false
		});
	});
</script>
<script>
	
	var table = $('#example').DataTable({
		"processing": true, //Feature control the processing indicator.
		"serverSide": true, //Feature control DataTables' servermside processing mode.
		"order": [[0,"desc"]],			//"order": [], //Initial no order.
		"iDisplayLength" : 10,
		ajax: {
			"url": '/reports/customer_ajax',
			"type": 'POST',
			"dataType": "json",
			"dataSrc": function (jsonData) {
				$("#table_processing").css("display","none");
				return jsonData.data; 
			}
		},
		"searching": true
	});
		
	function generate(){
		$("#example").dataTable().fnDestroy();
		var a = document.getElementById('csv_download');
		var customer_id = $('#customer').val();
		var from_date	= $('#from_date').val();
		var to_date		= $('#to_date').val();
		if(customer_id == ''){
			customer_id = 0;
		}if(from_date == ''){
			from_date = 0;
		}if(to_date == ''){
			to_date = 0;
		}
		a.href = "/reports/customer_download/"+customer_id+"/"+from_date+"/"+to_date;
		var table1 = $('#example').DataTable({
			"processing": true, //Feature control the processing indicator.
			"serverSide": true, //Feature control DataTables' servermside processing mode.
			"order": [[0,"desc"]],			//"order": [], //Initial no order.
			"iDisplayLength" : 10,
			ajax: {
				"url": '/reports/customer_ajax',
				"type": 'POST',
				"dataType": "json",
				"data" : {customer_id : customer_id,from_date: from_date,to_date: to_date},
				"dataSrc": function (jsonData) {
					$("#table_processing").css("display","none");
					return jsonData.data; 
				}
			},
			"searching": true
		});
		
		
	}
	function filter() {
		var x = document.getElementById('filter');
		if (x.style.display === 'none') {
			x.style.display = 'block';
		} else {
			x.style.display = 'none';
		}
	}
</script>

